Limerence
Agents

Promote Agent Chat Artifact

Move a chat-level artifact to user-level so it persists across the user's chats

POST
/agents/{id}/chats/{chatId}/artifacts/promote

Move a chat-level artifact to user-level so it persists across the user's chats

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string
chatId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

path*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/agents/string/chats/string/artifacts/promote" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{
  "path": "string"
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "agents/artifact-not-found",
    "detail": "The requested artifact was not found."
  },
  "message": "Artifact not found"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}